# Uses of Enum
org.apache.qpid.proton.engine.SslDomain.VerifyMode

Packages that use SslDomain.VerifyMode
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl.ssl

## Uses of SslDomain.VerifyMode in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return SslDomain.VerifyMode
Modifier and Type
Method
Description
`SslDomain.VerifyMode`
SslDomain.`getPeerAuthentication()`
`static SslDomain.VerifyMode`
SslDomain.VerifyMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslDomain.VerifyMode[]`
SslDomain.VerifyMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.engine with parameters of type SslDomain.VerifyMode
Modifier and Type
Method
Description
`void`
SslDomain.`setPeerAuthentication(SslDomain.VerifyMode mode)`
Configure the level of verification used on the peer certificate.

## Uses of SslDomain.VerifyMode in org.apache.qpid.proton.engine.impl.ssl

Methods in org.apache.qpid.proton.engine.impl.ssl that return SslDomain.VerifyMode
Modifier and Type
Method
Description
`SslDomain.VerifyMode`
SslDomainImpl.`getPeerAuthentication()`
Methods in org.apache.qpid.proton.engine.impl.ssl with parameters of type SslDomain.VerifyMode
Modifier and Type
Method
Description
`void`
SslDomainImpl.`setPeerAuthentication(SslDomain.VerifyMode verifyMode)`